UPGRADE: Note IAX2 compatibility issue between 1.4 and 1.8+ systems.
authorMatthew Jordan <mjordan@digium.com>
Fri, 28 Mar 2014 15:48:48 +0000 (15:48 +0000)
committerMatthew Jordan <mjordan@digium.com>
Fri, 28 Mar 2014 15:48:48 +0000 (15:48 +0000)
........

Merged revisions 411457 from http://svn.asterisk.org/svn/asterisk/branches/1.8
........

Merged revisions 411458 from http://svn.asterisk.org/svn/asterisk/branches/11
........

Merged revisions 411459 from http://svn.asterisk.org/svn/asterisk/branches/12

git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@411460 65c4cc65-6c06-0410-ace0-fbb531ad65f3

UPGRADE.txt

index f34b5df..a24931d 100644 (file)
@@ -30,6 +30,14 @@ PJSIP:
  - PJSIP endpoints now have a "message_context" option that can be used to determine
    where to route incoming MESSAGE requests from the endpoint.
 
+IAX2:
+ - When communicating with a peer on an Asterisk 1.4 or earlier system, the
+   chan_iax2 parameter 'connectedline' must be set to "no" in iax.conf. This
+   prevents an incompatible connected line frame from an Astersik 1.8 or later
+   system from causing a hangup in an Asterisk 1.4 or earlier system. Note that
+   this particular incompatibility has always existed between 1.4 and 1.8 and
+   later versions; this upgrade note is simply informing users of its existance.
+
 Realtime Configuration:
  - PJSIP endpoint columns 'tos_audio' and 'tos_video' have been changed from yes/no
    enumerators to string values. 'cos_audio' and 'cos_video' have been changed from